/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-06-11 09:13:47
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-06-12 10:18:39
 * @FilePath: \Web-Traffic-Police\src\router\home.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// 路由配置示例（router/index.ts）
// import PoleMonitor from "../views/PoleMonitor.vue";
// import DeviceStatus from "../views/DeviceStatus.vue";

export const dataViewRoutes = {
    path: "/dataView",
    fullPath: "/dataView",
    redirect: "/dataView/dataOverview",
    component: () => import("@/layouts/MainLayout.vue"),
    meta: { requiresAuth: true , isDashboard: true,  keepAlive: false,},
    children: [
      {
        path: "dataOverview",
        fullPath: "/dataView/dataOverview",
        name: "DataOverviews",
        component: () => import("@/views/dataView/DataOverview.vue"),
        meta: { title: "数据总览" },
      }
    ],
  };
  