/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-06-10 17:36:23
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-06-16 11:29:01
 * @FilePath: \Web-Traffic-Police\src\config\index.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
const env = import.meta.env

export const config = {
  apiHost: 'http://192.168.10.103:8888', // 接口地址
  apiMapTimeout: 60_000, // 接口轮询时间
  env: env.VITE_APP_ENV,
  baseURL: env.VITE_APP_BASE_API,
  timeout: 10000,
  url: '',
  showLoading: false,
  loadingInstance: null,
//   uploadURL: env.VITE_APP_UPLOAD_URL,
//   appName: env.VITE_APP_NAME,
//   version: env.VITE_APP_VERSION
}